import json
import os
from werkzeug.utils import secure_filename
from app.forms import *
from PIL import Image
from os import remove, path



class MyBlocs:
    
    def new(blocName, blocType, theme):
        mybloc = None
        if blocType in MyBlocs.list_type_blocs(theme):
            mybloc=dict()
            mybloc['name'] = str(blocName)
            mybloc['type'] = str(blocType)
        return mybloc
        
    def make_form():
        form = FormBloc()
        return form

    def img_form():
        return ImageForm()

    def new_img_form():
        return ImageUpload()

   
